function __global_object_depths() {
	// Initialise the global array that allows the lookup of the depth of a given object
	// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
	// NOTE: MacroExpansion is used to insert the array initialisation at import time
	gml_pragma( "global", "__global_object_depths()");

	// insert the generated arrays here
	global.__objectDepths[0] = 0; // obj_wavemanager
	global.__objectDepths[1] = 1000; // obj_3Dmanager
	global.__objectDepths[2] = -100; // obj_bgmanager
	global.__objectDepths[3] = 0; // obj_enemymanager
	global.__objectDepths[4] = 1; // obj_player
	global.__objectDepths[5] = -99; // obj_fire
	global.__objectDepths[6] = 0; // obj_star
	global.__objectDepths[7] = 0; // obj_spirit
	global.__objectDepths[8] = 0; // obj_spiritpart
	global.__objectDepths[9] = 0; // obj_card
	global.__objectDepths[10] = 0; // obj_spinner
	global.__objectDepths[11] = 0; // obj_boss1
	global.__objectDepths[12] = 0; // obj_bees
	global.__objectDepths[13] = 0; // obj_meteorlarge
	global.__objectDepths[14] = 0; // obj_meteormed
	global.__objectDepths[15] = 0; // obj_meteorsmall
	global.__objectDepths[16] = 0; // obj_boss1bullet
	global.__objectDepths[17] = 0; // obj_bombeffect
	global.__objectDepths[18] = 0; // object16
	global.__objectDepths[19] = 0; // obj_menu
	global.__objectDepths[20] = 0; // obj_settings
	global.__objectDepths[21] = 0; // obj_credits
	global.__objectDepths[22] = 0; // obj_plot
	global.__objectDepths[23] = 0; // object20
	global.__objectDepths[24] = 0; // object22


	global.__objectNames[0] = "obj_wavemanager";
	global.__objectNames[1] = "obj_3Dmanager";
	global.__objectNames[2] = "obj_bgmanager";
	global.__objectNames[3] = "obj_enemymanager";
	global.__objectNames[4] = "obj_player";
	global.__objectNames[5] = "obj_fire";
	global.__objectNames[6] = "obj_star";
	global.__objectNames[7] = "obj_spirit";
	global.__objectNames[8] = "obj_spiritpart";
	global.__objectNames[9] = "obj_card";
	global.__objectNames[10] = "obj_spinner";
	global.__objectNames[11] = "obj_boss1";
	global.__objectNames[12] = "obj_bees";
	global.__objectNames[13] = "obj_meteorlarge";
	global.__objectNames[14] = "obj_meteormed";
	global.__objectNames[15] = "obj_meteorsmall";
	global.__objectNames[16] = "obj_boss1bullet";
	global.__objectNames[17] = "obj_bombeffect";
	global.__objectNames[18] = "object16";
	global.__objectNames[19] = "obj_menu";
	global.__objectNames[20] = "obj_settings";
	global.__objectNames[21] = "obj_credits";
	global.__objectNames[22] = "obj_plot";
	global.__objectNames[23] = "object20";
	global.__objectNames[24] = "object22";


	// create another array that has the correct entries
	var len = array_length_1d(global.__objectDepths);
	global.__objectID2Depth = [];
	for( var i=0; i<len; ++i ) {
		var objID = asset_get_index( global.__objectNames[i] );
		if (objID >= 0) {
			global.__objectID2Depth[ objID ] = global.__objectDepths[i];
		} // end if
	} // end for


}
